#include "Chrono.h"
/*
Constructeur
Initialise le chrono  0 et dfini l'intervalle  1 seconde
*/
Chrono::Chrono()
{
	sec=0;
	min=0;
	hour=0;
	setInterval(1000);	
}	
/*
Accesseur
@return les secondes du chrono
*/
int Chrono::getSec()
{
	return sec;
}
/*
Accesseur
@return les minutes du chrono
*/
int Chrono::getMin()
{
	return min;
}
/*
Accesseur
@return les heures du chrono
*/
int Chrono::getHour()
{
	return hour;
}

/*
Mets  jour le timer en y ajoutant 1 seconde
Effectue les calculs pour avoir un temps au format h/m/s
*/
void Chrono::updateTimer()
{
	sec++;
	if(sec>60)
	{
		sec=0;
		min++;
	}
	if(min>60)
	{
		min=0;
		hour++;
	}	
}
/*
Rinitialise  0 le chrono
*/
void Chrono::reset()
{
	sec=0;
	min=0;
	hour=0;
}
