#include "HelpWindow.h"

/*
Constructeur qui affiche le texte et l'image dans la fentre
*/
HelpWindow::HelpWindow(QWidget *parent) : QDialog(parent)
{
	QLabel *zozor;//L'image de droite
	QLabel *text;//Le texte de l'aide
	
	QHBoxLayout *hLayout=new QHBoxLayout;
	
	zozor=new QLabel();
	zozor->setPixmap(QPixmap("images/help.png"));
			
	text=new QLabel("<html><strong>Description du jeu</strong><br/><br/>SudoZro est un jeu de Sudoku classique, dont le but est de remplir une grille de chiffres tout en respectant la rgle suivante :<br/>Chaque ligne, colonne et rgion ne doit contenir un mme chiffre qu'une seule fois.<br/><br/>Si vous remplissez la grille entirement et qu'elle respecte cette rgle, vous avez gagn la partie.<br/><br/><strong>Contrle du jeu</strong><br/><br/>Le jeu se joue entirement  la souris, nul besoin du clavier.<br/><br/>Clic gauche : Incrmenter la valeur de la case.<br/>Clic droit : Dcrmenter la valeur de la case.<br/>Clic central : Effacer la valeur de la case.<br/><br/><strong>Fonctionnalits</strong><br/><br/>SudoZro dispose des fonctionnalits listes ci dessous :<br/>- Charger, sauvegarder et gnrer alatoirement des grilles.<br/>- Vrifier que la grille en cours respecte les rgles du Sudoku.<br/>- Rsoudre automatiquement la grille en cours.<br/>- Rinitialiser la grille en cours.<br/>- Aider le joueur en lui donnant un indice.<br/>- Lancer ou arrter une musique d'ambiance.<br/>- Changer le thme du jeu.<br/><br/><strong>A propros de SudoZro...</strong><br/><br/>SudoZro a t ralis dans le cadre du concours du Site du Zro organis durant le mois de Juillet 2008.<br/><strong>Auteurs : Thibaut Dumont, Julien Merle<br/>Version : 1.1</strong></html>");
	text->setLineWidth(1);
	text->setMargin(5);
	text->setFrameStyle(QFrame::Box);
		
	hLayout->addWidget(text);
	hLayout->addWidget(zozor);
	setLayout(hLayout);
			
	show();
}

