#include "theme.h"
/*
Constructeur
Initialise avec le thme par dfaut
*/
Theme::Theme()
{
	grid=QString("themes/grids/Zozor.png");
	zozor=QString("themes/zozors/Zozor.png");
	name="Zozor";
}
/*
Accesseur
@return le chemin vers l'image de la grille
*/
QString Theme::getGridPath()
{
	return grid;
}
/*
Accesseur
@return le chemin vers l'image du zozor
*/
QString Theme::getZozorPath()
{
	return zozor;
}
/*
Modifieur
	Met  jour le thme en modifiant le chemin de la grille du fond et du zozor
@param theme
	le nom du nouveau thme
*/
void Theme::setNewTheme(QString theme)
{
	grid=QString("themes/grids/").append(theme).append(".png");
	zozor=QString("themes/zozors/").append(theme).append(".png");
	name=theme;
}
/*
Accesseur
@return le nom du thme
*/
QString Theme::getThemeName()
{
	return name;
}