#ifndef HEADER_GRIDNUM
#define HEADER_GRIDNUM
#include <QtGui>
/*
Gre les cases de la GridView(voir classe GridView) et les vnements (controles de jeu)
*/
class GridNum : public QPushButton
{
	Q_OBJECT
    private:
        int value;//Valeur de la case
		int row;//ligne de la case
		int col;//colonne de la case
	
              
    public:
		GridNum(int colNum, int rowNum);
		void setValue(int newValue);
		void newButton();//rinitialise le bouton
     
    public slots:
		void leftClickAction();
        void rightClickAction();
		void midClickAction();
		void mousePressEvent(QMouseEvent *event);
		void mouseReleaseEvent(QMouseEvent *event);
		
	signals:
		void buttonChanged(int row, int col,int value);//Emis quand la case est cliqu afin de modifier la valeur de la grille "mtier"
		void rightClicked();//Emis par un clic droit
		void leftClicked();//Emis par un clic gauche
		void midClicked();//Emis par un clic central

};

#endif
