#ifndef HEADER_GRIDVIEW
#define HEADER_GRIDVIEW
#include <QtGui>

#include "GameGrid.h"
#include "GridNum.h"

/*
Gre la vue de la grille de case 
*/
class GridView : public QFrame
{
	Q_OBJECT
    private:
        GridNum *gridButton[9][9];//Tableaux bi-dimensionnels contenant 81 "cases" (Voir classe GridNum)
        GameGrid *gameGrid;//Grille "mtier" contenant les valeurs
              
    public:
        GridView();
		GameGrid *getGameGrid();
		void refreshGridView();
		void newButtonGrid();
		void clearGrid();
		void showWrongItem();
		void showItemAdded();
		void setNewGridBackground(QString theme);
     
    public slots:
        void changeGridValue(int row, int col, int value);
		
};

#endif
